function c = changename (c, newname)

%@cortex/changename.m
%
% Changes the "internal" object name,
% i.e., the name returned by COBJ.NAME.
%
% By default, this is the DOS name of the
% original CORTEX data file.
%
% Syntax: COBJ.CHANGENAME (NEWNAME)
%
% Where:
%   COBJ:    the @cortex object
%   NEWNAME: a string of 30 characters or less
%
% Last modified: 11 May 00

if ~isa (newname, 'char')
   error ('invalid name')
end

if length (newname) > 30
   warning ('name is too long: truncated to 30 chars');
   newname = newname (1:30);
end

c.name = newname;
c.changemode = 3;
disp(['@CORTEX OBJECT NAME CHANGED TO ''' newname '''']);