function [x y] = trialepp (c, trial)

%@CORTEX/TRIALEPP  vectors of EPP values from a single trial
%
%   [X,Y] = TRIALEPP(COBJ,TRIAL)  returns X and Y vectors of EPP values for
%   a single TRIAL from the COBJ @cortex object
%
%   XY = TRIALEPP(...) returns a 2-column matrix of side-by-side X and Y
%   values.
%
%Last modified: 25 Feb 06

% Created on 7 Feb 06
% 25 Feb 06: name changed from trialepps to trialepp
%            help text fixes

errifinvalidtrial (c, trial);
e = c.epp;
if ~e.rate, error ('object does not contain EPP data'); end
first = e.ptr(trial);
last  = e.ptr(trial+1)-1;
x = double(e.ch1 (first:last));
y = double(e.ch2 (first:last));
if nargout==1, x = [x y]; end
