function vt = validtrials (c, trials)

%VALIDTRIALS(COBJ,TRIALS)
%
%   returns, from the TRIALS array of integers, an array of trial nos that
%   actually exist in the COBJ @cortex object. Ensures that the return
%   vector is horizontal. Warns if any of the numbers in TRIALS are
%   invalid.
%
%Last modified: 25 Feb 06

t = horzarray (trials);
vt = intersect (t, 1:c.trials);
no = setdiff (t, 1:c.trials);
if ~isempty(no)
	warning ('The following are not valid trial numbers for the current object and will be ignored');
	disp (no);
end