function rv = NOTsinglekey (k)

%NOTsinglekey(K)
%   returns a warning string if K is not a single-key @key object;
%   use it to perform argument checking in your scripts:
%   >> error(NOTkey(K))
%
%Last modified: 28 Feb 06

if isa (k, 'rules')
   warning ('@rules are no longer supported; please use @keys instead');
end

rv = [];
if ~(isa (k, 'key') | isa(k, 'rules')) | k.len > 1
   rv = 'argument KEY should be a single key from a @key object';
end