function rv = NOTspikematrix (s)

%NOTspikematrix(SPMAT)
%   returns a warning string if SPMAT is not a spikematrix,
%   i.e. a numerical 2-D matrix of zeros and ones;
%   use it to perform argument checking in your scripts:
%   >> error(NOTkey(SPMAT))
%
%Last modified: 1 Mar 06

rv = NOTnummatrix(s, 'SPMAT');
if isempty (rv)
	u = unique (s);
	b = u(~isnan(u));
	if length (b) ~= 2 | b(1) ~= 0 | b(2) ~= 1
		rv = 'argument SPMAT should be a spike matrix, i.e., a 2-D matrix of 0s and 1s';
	end
end