function varargout = anovan (as, varargin)

%FACTS/ANOVAN   performs n-way anova on the data contained in an
%   facts object.
%
%   Syntax: [...] = ANOVAN(AS,[...])
%   The input and output argument list is the same as that of Matlab Stats
%   Toolbox's ANOVAN, except that the facts object AS replaces the first
%   two input arguments (data and groups).
%
%Last modified: 2 Aug 03

if nargout, nout=nargout; else nout=1; end
[varargout{1:nout}] = anovan (as.D, as.G, varargin{:});