function s1 = trimwhite(s)
%TRIMWHITE   Removes leading and trailing whitespace
%   TRIMWHITE(S) returns the string S after stripping any leading and
%   trailing tabs and blanks.
%
%Last modified 22 Sep 04

% some functions rely on trimwhite to accept an empty argument, so
% don't change this
if isempty(s)
   s1 = s([]);
else
   % allow only char arrays with one non-singleton dimension
   if ~isstring(s), error ('Input argument must be a string'); end
   
   idx = find(s~=0 & ~isspace(s));
   if isempty(idx) 
      s1 = s([]);
   else
      s1 = s(min(idx):max(idx));
   end
end